Bug 450453 - gvfs' obexftp shows wrong icons
gvfs' obexftp shows wrong icons
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-08 13:06 EDT by Patrick Steiner
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-15 04:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (36.71 KB, image/png)
2008-06-08 13:06 EDT, Patrick Steiner
no flags Details
gvfs-obexftp-fallback-icon.patch (523 bytes, patch)
2008-06-09 10:50 EDT, Tomáš Bžatek
no flags Details | Diff
screenshot (22.21 KB, image/png)
2008-06-09 15:18 EDT, Patrick Steiner
no flags Details

  None (edit)
Description Patrick Steiner 2008-06-08 13:06:47 EDT
if i connect my phone via gnome-vfs2-obexftp. there are some strange file icons
(i think this are old one)

i have attached a screenshot
Comment 1 Patrick Steiner 2008-06-08 13:06:47 EDT
Created attachment 308659 [details]
screenshot
Comment 2 Bastien Nocera 2008-06-08 18:00:26 EDT
nautilus in F9 doesn't use gnome-vfs2-obexftp anymore, it uses gvfs.

Which icon theme are you using? What's the output of gvfs-info running on those
files?
Comment 3 Patrick Steiner 2008-06-09 02:27:17 EDT
ok i have removed gnome-vfs2-obexftp.

i use the standard fedora 9 icon theme. on my desktop you can see the correct
image (see screenshot)

here is the gvfs-info output:

gvfs-info obex://[XX:XX:XX:XX:XX:XX]/E:/Gps/20080418_1555.gpx
name: 20080418_1555.gpx
type: regular
size: 127348
attributes:
  standard::type: 1
  standard::content-type: application/x-extension-gpx
  standard::name: 20080418_1555.gpx
  standard::icon: GThemedIcon:0x9932a98
  standard::size: 127348
  access::can-read: TRUE
  access::can-write: TRUE
  time::modified: 1208526978
  time::modified-usec: 1
  id::filesystem: host='[00:1E:A4:11:39:3B]',type='obex',mount_prefix='/'
Comment 4 Bastien Nocera 2008-06-09 05:08:35 EDT
Could you copy one of those files locally, and run gvfs-info on it locally? Is
the icon looking alright locally?
Comment 5 Patrick Steiner 2008-06-09 05:21:13 EDT
yes locally it looks correct. btw. picutes and sound files have the correct
icon. only text files make problems.

here is the gvfs-info output if i run it locally:

gvfs-info 20080517_2016.gpx
display name: 20080517_2016.gpx
edit name: 20080517_2016.gpx
name: 20080517_2016.gpx
type: regular
size: 61120
attributes:
  standard::name: 20080517_2016.gpx
  standard::type: 1
  standard::size: 61120
  standard::display-name: 20080517_2016.gpx
  standard::edit-name: 20080517_2016.gpx
  standard::copy-name: 20080517_2016.gpx
  standard::content-type: application/x-extension-gpx
  standard::icon: GThemedIcon:0x9949a80
  standard::fast-content-type: application/x-extension-gpx
  unix::device: 64768
  unix::inode: 32773080
  unix::mode: 33204
  unix::nlink: 1
  unix::uid: 500
  unix::gid: 500
  unix::rdev: 0
  unix::block-size: 4096
  unix::blocks: 128
  time::modified: 1211048228
  time::modified-usec: 0
  time::access: 1213003153
  time::access-usec: 0
  time::changed: 1213003153
  time::changed-usec: 0
  etag::value: 1211048228:0
  id::file: l64768:32773080
  id::filesystem: l64768
  owner::user: steinerp
  owner::user-real: Patrick Steiner
  owner::group: steinerp
  access::can-read: TRUE
  access::can-write: TRUE
  access::can-execute: FALSE
  access::can-rename: TRUE
  access::can-delete: TRUE
  access::can-trash: TRUE
Comment 6 Bastien Nocera 2008-06-09 05:35:26 EDT
Tomas, could you look at this? The code that sets the icons is in
gvfsbackendobexftp-fl-parser.c, look for "if (g_file_info_get_file_type (info)
==  G_FILE_TYPE_REGULAR) {".

The problem is that the device tells us that the mime-type is
application/x-extension-gpx (in the folder listing's XML), but we don't know
about it, so only set a crummy GIcon to it.
Comment 7 Tomáš Bžatek 2008-06-09 10:50:34 EDT
Created attachment 308691 [details]
gvfs-obexftp-fallback-icon.patch

Proposed patch, adding "text-x-generic" icon as fallback for regular files.
Comment 8 Fedora Update System 2008-06-09 12:00:52 EDT
gvfs-0.2.4-2.fc9 has been submitted as an update for Fedora 9
Comment 9 Tomáš Bžatek 2008-06-09 12:03:45 EDT
Patrick, please test the updated package and close the bug if the issue is gone.
Comment 10 Patrick Steiner 2008-06-09 15:18:21 EDT
Created attachment 308745 [details]
screenshot 

looks much better now!
Comment 11 Fedora Update System 2008-06-09 23:16:12 EDT
gvfs-0.2.4-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gvfs'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-5160
Comment 12 Bug Zapper 2009-06-09 21:29:02 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2009-07-15 04:26:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.